すえー blog

学んだ情報をOutPutする場所です。

RuntimeError: Python is not installed as a framework. 〜〜〜のエラー

背景

  • import matplotlib.pyplot のタイミングで発生

環境

ProductName: Mac OS X
ProductVersion: 10.13.5
BuildVersion:   17F77
conda 4.5.2
Python 3.6.5 :: Anaconda, Inc.

解決法

  • /Users/XXXX/anaconda3/envs/XXXX/lib/python3.6/site-packages/matplotlib/mpl-data/matplotlibrc を編集
  • backend :macosxbackend :Tkagg に変更する
  • バックエンドに問題が起きているらしいがなるほどわからんってなっている。。。。
  • まあ直ったから良しとする

参考

qiita.com